package ccws2024.workshop1.view.managedbeans;

import java.io.Serializable;

import org.eclnt.editor.annotations.CCGenClass;
import org.eclnt.jsfserver.pagebean.IPageBean;
import org.eclnt.jsfserver.pagebean.PageBean;

@CCGenClass (expressionBase="#{d.OutestUI}")

public class OutestUI
    extends PageBean 
    implements Serializable
{
    // ------------------------------------------------------------------------
    // inner classes
    // ------------------------------------------------------------------------
    
    // ------------------------------------------------------------------------
    // members
    // ------------------------------------------------------------------------
    
    IPageBean m_contentUI;
    
    // ------------------------------------------------------------------------
    // constructors & initialization
    // ------------------------------------------------------------------------

    public OutestUI()
    {
        showLogonUI();
    }

    public String getPageName() { return "/layouts/Outest.xml"; }
    public String getRootExpressionUsedInPage() { return "#{d.OutestUI}"; }

    // ------------------------------------------------------------------------
    // public usage
    // ------------------------------------------------------------------------

    public IPageBean getContentUI() { return m_contentUI; }
    
    // ------------------------------------------------------------------------
    // private usage
    // ------------------------------------------------------------------------
    
    private void showLogonUI()
    {
        LogonUI ui = new LogonUI();
        ui.prepare(new LogonUI.IListener()
        {
            @Override
            public void reactOnLogon(String userName)
            {
                showApplicationUI();
            }
        });
        m_contentUI = ui;
    }

    private void showApplicationUI()
    {
        PersongridUI ui = new PersongridUI();
        m_contentUI = ui;
    }

}
